/* _content/WebAppZurnWhereToBuy/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-zc8422tcn5] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-zc8422tcn5] {
    flex: 1;
}

.sidebar[b-zc8422tcn5] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-zc8422tcn5] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-zc8422tcn5]  a, .top-row[b-zc8422tcn5]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-zc8422tcn5]  a:hover, .top-row[b-zc8422tcn5]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-zc8422tcn5]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-zc8422tcn5] {
        justify-content: space-between;
    }

    .top-row[b-zc8422tcn5]  a, .top-row[b-zc8422tcn5]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-zc8422tcn5] {
        flex-direction: row;
    }

    .sidebar[b-zc8422tcn5] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-zc8422tcn5] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-zc8422tcn5]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-zc8422tcn5], article[b-zc8422tcn5] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-zc8422tcn5] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-zc8422tcn5] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/CanadaRepItem.razor.rz.scp.css */
.rep-results__item[b-c8hgf3gu9c] {
    margin: 1em;
    display: block;
    border-bottom: solid 1px #dbdbdb;
    padding: 0 0 1em 0;
}

    .rep-results__item:last-of-type[b-c8hgf3gu9c] {
        padding: 0;
        border: 0;
    }
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/CanadaRepLocator.razor.rz.scp.css */
.rep-results[b-zl4zykla82] {
    padding: 1em;
    margin: 1em 0 0 0;
    border: solid 1px #dbdbdb;
}
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/ChooseLocation.razor.rz.scp.css */
.selection-md[b-jy3z7xxrts] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.rep-locator-list[b-jy3z7xxrts] {
    list-style-type: none;
    padding: 0;
    margin: 0;
    border: solid 1px #dbdbdb;
}

.rep-locator-list-item-header[b-jy3z7xxrts] {
    font-weight: 800;
    cursor: auto !important;
}

.rep-locator-list-item[b-jy3z7xxrts] {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    -webkit-box-pack: justify;
    justify-content: space-between;
    border-bottom: solid 1px #dbdbdb;
    line-height: 1.5em;
    padding: 1em .75em;
    margin: 0;
    transition: background-color 300ms;
    cursor: pointer;
}

    .rep-locator-list-item:hover[b-jy3z7xxrts], .rep-locator-list-item--header:hover[b-jy3z7xxrts] {
        cursor: pointer;
        background-color: var(--color-neutral-bright);
    }

.county-col[b-jy3z7xxrts] {
    text-align: left;
    width: 100%;
    padding: 4px;
}

.county-link[b-jy3z7xxrts] {
    /*flex-basis: 28%;*/
}

/*.next-col {
    padding-left: 8px;
}*/
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/Loading.razor.rz.scp.css */
.loading-spinner[b-s2cyxka94l] {
    display: flex;
    align-self: center;
    color: var(--color-foreground);
    margin: 3rem auto;
}
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/NoRepsFound.razor.rz.scp.css */
.no-results-found[b-9biovlok13] {
    max-width: 784px;
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: center;
    gap: 16px;
    border-radius: 8px;
    padding-block: Clamp(1rem, 2vw, 2rem);
    padding-inline: Clamp(1rem, 3vw, 3rem);
    margin-inline: auto;
    margin-block: 2rem;
    max-width: 655px;
    border-radius: var(--border-radius);
}
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/RepLocator.razor.rz.scp.css */
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/USRepItem.razor.rz.scp.css */
.rep-results[b-biuj7fkiyn] {
    padding: 1em;
    margin: 1em 0 0 0;
    border: solid 1px #dbdbdb;
}

.rep-locator__subtitle[b-biuj7fkiyn] {
    padding-top: 2em;
}
/* _content/WebAppZurnWhereToBuy/Components/Pages/WhereToBuy/RepLocator/USRepLocator.razor.rz.scp.css */
.search-field[b-ulz8evhzah] {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.search-input[b-ulz8evhzah] {
    width: 70%;
}

.search-btn[b-ulz8evhzah] {
    width: 30%;
    margin-top: 8px;
}
